#! /bin/bash

#Nginx-proxy
docker run -d -p 80:80 \
  --name nginx-proxy \
  -v /var/run/docker.sock:/tmp/docker.sock:ro \
  jwilder/nginx-proxy

# Should be OK
docker run -d -e VIRTUAL_HOST=red.bar.local \
  jwilder/whoami

# Should be OK
docker-compose --file docker-compose-version1.yml up -d

# Should be KO
docker-compose --file docker-compose-version2.yml up -d

docker exec -it nginx-proxy cat /etc/nginx/conf.d/default.conf
